Package: org.gradle.api.resources

## [Java] Interface Resource

- A generic resource of some kind. Only describes the resource. There are more specific interface that extend this one and specify ways of accessing the resource's content.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getBaseName()` Short name that concisely describes this resource
    `String` | `getDisplayName()` Human readable name of this resource
    `URI` | `getURI()` Uniform resource identifier that uniquely describes this resource

- - ### Method Detail

    - #### public String getBaseName()

      Short name that concisely describes this resource

      Returns:
        concise base name, should not be null

    - #### public String getDisplayName()

      Human readable name of this resource

      Returns:
        human readable name, should not be null

    - #### public URI getURI()

      Uniform resource identifier that uniquely describes this resource

      Returns:
        unique URI, should not be null